Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# progressbar.hh File Reference

A GtkProgressBar C++ wrapper interface. More...

`#include <xfc/gtk/widget.hh>`
`#include <xfc/pango/layout.hh>`
`#include <gtk/gtkprogressbar.h>`
`#include <xfc/gtk/inline/progressbar.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::ProgressBar
    A GtkProgressBar C++ wrapper class. More...

## Enumerations

- enum ProgressBarOrientation {
  PROGRESS_LEFT_TO_RIGHT = GTK_PROGRESS_LEFT_TO_RIGHT,
  PROGRESS_RIGHT_TO_LEFT = GTK_PROGRESS_RIGHT_TO_LEFT,
  PROGRESS_BOTTOM_TO_TOP = GTK_PROGRESS_BOTTOM_TO_TOP,
  PROGRESS_TOP_TO_BOTTOM = GTK_PROGRESS_TOP_TO_BOTTOM
  }
    Represents the possible orientations and growth directions for the visible progress bar. More...

## Detailed Description

A GtkProgressBar C++ wrapper interface.

Provides ProgressBar, a widget that is typically used to display the progress of a long running operation.

## Enumeration Type Documentation

enum ProgressBarOrientation

Represents the possible orientations and growth directions for the visible progress bar.

Enumeration values:

  PROGRESS_LEFT_TO_RIGHT | A horizontal progress bar growing from left to right.
  PROGRESS_RIGHT_TO_LEFT | A horizontal progress bar growing from right to left.
  PROGRESS_BOTTOM_TO_TOP | A vertical progress bar growing from bottom to top.
  PROGRESS_TOP_TO_BOTTOM | A vertical progress bar growing from top to bottom.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3